nm-system-settings(8)

NAME
nm-system-settings - NetworkManager system settings daemon

SYNOPSIS
nm-system-settings [--debug] [--config=<filename>] [--plugins=<plugin1>,plugin2>,...]

DESCRIPTION
The nm-system-settings daemon provides system-wide configuration to NetworkManager(8) by translating distribution-specific network configuration files into a format usable by NetworkManager and NetworkManager-enabled applications. The daemon is spawned automatically by NetworkManager and enabled applications and is not usually run by itself.

OPTIONS
The following options are supported:

--config=<filename>
    Specify configuration file identifying plugins and plugin configuration. If not specified, the default value of '<SYSCONFDIR>/NetworkManager/nm-system-settings.conf' is used. See nm-system-settings.conf(5) for more information on configuration file and the arguments below.

--plugins=<plugin1>,<plugin2>,...
    List plugins used to manage system-wide connection settings. This list has precedence over plugins specified in the configuration file. Currently supported plugins are: keyfile, ifcfg-rh, ifcfg-suse, ifupdown. See nm-system-settings.conf(5) for more information on the plugins.

--debug
    Direct logging and debugging output to stdout instead of syslog.

SEE ALSO
http://live.gnome.org/NetworkManager/SystemSettings

NetworkManager(8), nm-system-settings.conf(8), nm-tool(1).